Imagick::setImageChannelDepth
Imagick::setImageColormapColor
Imagick
PHP Manual

# Imagick::setImageClipMask

Sets image clip mask

### Description

bool Imagick::setImageClipMask ( Imagick `$clip_mask` )

Sets image clip mask from another Imagick object. This method is available if Imagick has been compiled against ImageMagick version 6.3.6 or newer.

### Parameters

`clip_mask`

  The Imagick object containing the clip mask

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.